Subject: Re: clearmake and cywin b20 and \r\n on NT
From: Chris Faylor <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: "Guy T. Moore Jr." <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 7 Feb 2000 15:58:39 -0500

On Mon, Feb 07, 2000 at 12:30:46PM -0800, Earnie Boyd wrote:
>--- "Guy T. Moore Jr." <[email-masked]> wrote:
>> 
>> What was the exact answer to using Clearmake and Cygwin b20
>> on the WinNT platform?
>> 
>> I just tried:
>> CYGWIN=nobinmode
>> but that did not help running clearmake.
>> 
>> I still get, 
>> : not found
>> 
>
>This is definately a message coming from the ash port.  I see it most commonly
>when some command can't be executed via sh when trying to use it from a
>non-Cygwin program.  Is Clearmake OpenSource?  Can you rebuild it using Cygwin?
>Rebuilding with Cygwin would be the best solution.  If you can't do that, try:
>
>cp sh.exe ash.exe
>cp bash.exe sh.exe
>
>This will give you a different message that may help determine the real problem
>which I suspect to be pathing issues related to Cygwin vs non-Cygwin paths.

Actually, it looks like a "\r\n" line ending problem to me.  It's probably trying
to run "\r" as a program.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]